OpenNMS API 1.2.9

## org.opennms.netmgt.config.capsd
Class ProtocolPlugin

    java.lang.Object
      org.opennms.netmgt.config.capsd.ProtocolPlugin

All Implemented Interfaces:
  java.io.Serializable

public class ProtocolPlugin
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_className`
`private java.util.ArrayList` `_propertyList`
`private java.lang.String` `_protocol`
`private java.util.ArrayList` `_protocolConfigurationList`
`private java.lang.String` `_scan`
`private java.lang.String` `_userDefined`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`ProtocolPlugin()`

Method Summary
`void` `addProperty(int index, Property vProperty)`
`void` `addProperty(Property vProperty)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addProtocolConfiguration(int index, ProtocolConfiguration vProtocolConfiguration)`
`void` `addProtocolConfiguration(ProtocolConfiguration vProtocolConfiguration)`
`void` `clearProperty()`
`void` `clearProtocolConfiguration()`
`java.util.Enumeration` `enumerateProperty()`
`java.util.Enumeration` `enumerateProtocolConfiguration()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getClassName()` Returns the value of field 'className'.
`Property[]` `getProperty()`
`Property` `getProperty(int index)`
`java.util.Collection` `getPropertyCollection()`
`int` `getPropertyCount()`
`java.lang.String` `getProtocol()` Returns the value of field 'protocol'.
`ProtocolConfiguration[]` `getProtocolConfiguration()`
`ProtocolConfiguration` `getProtocolConfiguration(int index)`
`java.util.Collection` `getProtocolConfigurationCollection()`
`int` `getProtocolConfigurationCount()`
`java.lang.String` `getScan()` Returns the value of field 'scan'.
`java.lang.String` `getUserDefined()` Returns the value of field 'userDefined'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeProperty(Property vProperty)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeProtocolConfiguration(ProtocolConfiguration vProtocolConfiguration)`
`void` `setClassName(java.lang.String className)` Sets the value of field 'className'.
`void` `setProperty(int index, Property vProperty)`
`void` `setProperty(Property[] propertyArray)`
`void` `setPropertyCollection(java.util.Collection vProperty)`
`void` `setProtocol(java.lang.String protocol)` Sets the value of field 'protocol'.
`void` `setProtocolConfiguration(int index, ProtocolConfiguration vProtocolConfiguration)`
`void` `setProtocolConfiguration(ProtocolConfiguration[] protocolConfigurationArray)`
`void` `setProtocolConfigurationCollection(java.util.Collection vProtocolConfiguration)`
`void` `setScan(java.lang.String scan)` Sets the value of field 'scan'.
`void` `setUserDefined(java.lang.String userDefined)` Sets the value of field 'userDefined'.
`static ProtocolPlugin` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _protocol

    private java.lang.String _protocol

### _className

    private java.lang.String _className

### _scan

    private java.lang.String _scan

### _userDefined

    private java.lang.String _userDefined

### _protocolConfigurationList

    private java.util.ArrayList _protocolConfigurationList

### _propertyList

    private java.util.ArrayList _propertyList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### ProtocolPlugin

    public ProtocolPlugin()

Method Detail

### addProperty

    public void addProperty(Property vProperty)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vProperty` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addProperty

    public void addProperty(int index,
                            Property vProperty)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vProperty` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addProtocolConfiguration

    public void addProtocolConfiguration(ProtocolConfiguration vProtocolConfiguration)
                                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vProtocolConfiguration` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addProtocolConfiguration

    public void addProtocolConfiguration(int index,
                                         ProtocolConfiguration vProtocolConfiguration)
                                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vProtocolConfiguration` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearProperty

    public void clearProperty()

### clearProtocolConfiguration

    public void clearProtocolConfiguration()

### enumerateProperty

    public java.util.Enumeration enumerateProperty()

### enumerateProtocolConfiguration

    public java.util.Enumeration enumerateProtocolConfiguration()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getClassName

    public java.lang.String getClassName()

  Returns the value of field 'className'.

  Returns:
    the value of field 'className'.

### getProperty

    public Property getProperty(int index)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getProperty

    public Property[] getProperty()

### getPropertyCollection

    public java.util.Collection getPropertyCollection()

### getPropertyCount

    public int getPropertyCount()

### getProtocol

    public java.lang.String getProtocol()

  Returns the value of field 'protocol'.

  Returns:
    the value of field 'protocol'.

### getProtocolConfiguration

    public ProtocolConfiguration getProtocolConfiguration(int index)
                                                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getProtocolConfiguration

    public ProtocolConfiguration[] getProtocolConfiguration()

### getProtocolConfigurationCollection

    public java.util.Collection getProtocolConfigurationCollection()

### getProtocolConfigurationCount

    public int getProtocolConfigurationCount()

### getScan

    public java.lang.String getScan()

  Returns the value of field 'scan'.

  Returns:
    the value of field 'scan'.

### getUserDefined

    public java.lang.String getUserDefined()

  Returns the value of field 'userDefined'.

  Returns:
    the value of field 'userDefined'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeProperty

    public boolean removeProperty(Property vProperty)

  Parameters:
    `vProperty` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeProtocolConfiguration

    public boolean removeProtocolConfiguration(ProtocolConfiguration vProtocolConfiguration)

  Parameters:
    `vProtocolConfiguration` -

### setClassName

    public void setClassName(java.lang.String className)

  Sets the value of field 'className'.

  Parameters:
    `className` - the value of field 'className'.

### setProperty

    public void setProperty(int index,
                            Property vProperty)
                     throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vProperty` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setProperty

    public void setProperty(Property[] propertyArray)

  Parameters:
    `propertyArray` -

### setPropertyCollection

    public void setPropertyCollection(java.util.Collection vProperty)

  Parameters:
    `vProperty` -

### setProtocol

    public void setProtocol(java.lang.String protocol)

  Sets the value of field 'protocol'.

  Parameters:
    `protocol` - the value of field 'protocol'.

### setProtocolConfiguration

    public void setProtocolConfiguration(int index,
                                         ProtocolConfiguration vProtocolConfiguration)
                                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vProtocolConfiguration` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setProtocolConfiguration

    public void setProtocolConfiguration(ProtocolConfiguration[] protocolConfigurationArray)

  Parameters:
    `protocolConfigurationArray` -

### setProtocolConfigurationCollection

    public void setProtocolConfigurationCollection(java.util.Collection vProtocolConfiguration)

  Parameters:
    `vProtocolConfiguration` -

### setScan

    public void setScan(java.lang.String scan)

  Sets the value of field 'scan'.

  Parameters:
    `scan` - the value of field 'scan'.

### setUserDefined

    public void setUserDefined(java.lang.String userDefined)

  Sets the value of field 'userDefined'.

  Parameters:
    `userDefined` - the value of field 'userDefined'.

### unmarshal

    public static ProtocolPlugin unmarshal(java.io.Reader reader)
                                    throws org.exolab.castor.xml.MarshalException,
                                           org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.